Subject: Re: LIBS vs LIBOBJS in src/Makefile.in

From: Paul Eggert <[email-masked]>
Date: Sat, 09 Aug 2014 12:46:02 -0700

Although I also dislike configure's mishandling of LIBS and would like 
to see it fixed, I don't think the proposed patch would work well, due 
to the funky treatment of LIBS in configure.ac.  Please look there for 
uses of SAVE_LIBS, pre_PKG_CONFIG_LIBS, PKG_CHECK_MODULES, LIBS_SYSTEM, 
LIB_PTHREAD, etc., and note that AC_CHECK_LIB etc. also futz with LIBS.